Skip to main content
GET
/
content
/
assets
/
{id}
Get asset detail
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/assets/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "contentId": "<string>",
    "title": "<string>",
    "assetType": "<string>",
    "status": "<string>",
    "excerpt": "<string>",
    "rawContent": "<string>",
    "primaryKeyword": "<string>",
    "secondaryKeyword": "<string>",
    "seoTitle": "<string>",
    "seoDescription": "<string>",
    "seoContext": {},
    "journeyStage": "<string>",
    "intent": "<string>",
    "optimizationScore": 123,
    "categories": [
      "<string>"
    ],
    "tags": [
      "<string>"
    ],
    "publishDate": "2023-11-07T05:31:56Z",
    "author": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "sections": [
      {
        "id": "<string>",
        "sectionType": "<string>",
        "title": "<string>",
        "content": "<string>",
        "sortOrder": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Path Parameters

id
string
required

Asset content_id

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

Response

Asset detail

success
boolean
required
data
object